View Issue Details

This bug affects 1 person(s).
 10
IDProjectCategoryView StatusLast Update
17297Bug reportsImport/Exportpublic2021-07-12 11:53
ReporterJmantysalo Assigned Togabrieljenik  
PrioritynormalSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.5.x 
Summary17297: Importing question group does not work
DescriptionAttached is an .lsg file that I can not import. It says that the file should contain the base language, but neither Finnish nor English as base does not work. The file contains <language>fi</language> which seems normal.
TagsNo tags attached.
Bug heat10
Complete LimeSurvey version number (& build)Versio 4.5.1+210420
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionN/A
Server OS (if known)
Webserver software & version (if known)
PHP VersionN/A

Activities

Jmantysalo

Jmantysalo

2021-05-12 09:48

reporter  

limesurvey_group_6501.lsg (8,127 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Group</LimeSurveyDocType>
 <DBVersion>444</DBVersion>
 <languages>
  <language>fi</language>
 </languages>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[6501]]></gid>
    <sid><![CDATA[697418]]></sid>
    <group_order><![CDATA[9]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </groups>
 <group_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[8323]]></id>
    <gid><![CDATA[6501]]></gid>
    <group_name><![CDATA[testiä]]></group_name>
    <description/>
    <language><![CDATA[fi]]></language>
    <sid><![CDATA[697418]]></sid>
    <group_order><![CDATA[9]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </group_l10ns>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>encrypted</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[194831]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[697418]]></sid>
    <gid><![CDATA[6501]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[G09Q33]]></title>
    <preg/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[Y]]></mandatory>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
  </rows>
 </questions>
 <question_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>question</fieldname>
   <fieldname>help</fieldname>
   <fieldname>script</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[256381]]></id>
    <qid><![CDATA[194831]]></qid>
    <question><![CDATA[testiksi]]></question>
    <help/>
    <script/>
    <language><![CDATA[fi]]></language>
   </row>
  </rows>
 </question_l10ns>
 <question_attributes>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>attribute</fieldname>
   <fieldname>value</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[clear_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[display_rows]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[em_validation_q]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[fi]]></language>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[input_size]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[maximum_chars]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[question_template]]></attribute>
    <value><![CDATA[longfreetext]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[Y]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[text_input_width]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[time_limit]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[time_limit_action]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[time_limit_countdown_message]]></attribute>
    <value/>
    <language><![CDATA[fi]]></language>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[time_limit_disable_next]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[time_limit_disable_prev]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[time_limit_message]]></attribute>
    <value/>
    <language><![CDATA[fi]]></language>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[time_limit_message_delay]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[time_limit_message_style]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[time_limit_timer_style]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[time_limit_warning]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[time_limit_warning_2]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[time_limit_warning_2_display_time]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[time_limit_warning_2_message]]></attribute>
    <value/>
    <language><![CDATA[fi]]></language>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[time_limit_warning_2_style]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[time_limit_warning_display_time]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[time_limit_warning_message]]></attribute>
    <value/>
    <language><![CDATA[fi]]></language>
   </row>
   <row>
    <qid><![CDATA[194831]]></qid>
    <attribute><![CDATA[time_limit_warning_style]]></attribute>
    <value/>
    <language/>
   </row>
  </rows>
 </question_attributes>
</document>
limesurvey_group_6501.lsg (8,127 bytes)   
DenisChenu

DenisChenu

2021-05-12 09:54

developer   ~64365

Maybe import a lss that have the same language than group (fi) ?

:D
ollehar

ollehar

2021-05-12 12:18

administrator   ~64369

Last edited: 2021-05-17 18:12

Can you also include the lss of the survey you tried to import to?
Jmantysalo

Jmantysalo

2021-05-12 12:23

reporter   ~64370

Last edited: 2021-05-17 18:12

> Can you also include the lss of the survey you tried to import to?

It was an empty survey.
ollehar

ollehar

2021-05-12 12:23

administrator   ~64371

Last edited: 2021-05-17 18:12

With base language en or fi?
Jmantysalo

Jmantysalo

2021-05-12 12:24

reporter   ~64372

Last edited: 2021-05-17 18:12

> With base language en or fi?

I tried both, no difference.
gabrieljenik

gabrieljenik

2021-06-08 23:05

manager   ~64790

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1914
gabrieljenik

gabrieljenik

2021-06-09 17:28

manager   ~64817

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31987
c_schmitz

c_schmitz

2021-07-12 11:53

administrator   ~65297

Release done.

Related Changesets

LimeSurvey: master 33ad9936

2021-06-09 11:50:26

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17297: Importing question group does not work (#1914)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
17297
mod - application/helpers/admin/import_helper.php Diff File

Issue History

Date Modified Username Field Change
2021-05-12 09:48 Jmantysalo New Issue
2021-05-12 09:48 Jmantysalo File Added: limesurvey_group_6501.lsg
2021-05-12 09:54 DenisChenu Note Added: 64365
2021-05-12 12:18 ollehar Note Added: 64369
2021-05-12 12:18 ollehar Assigned To => ollehar
2021-05-12 12:18 ollehar Status new => feedback
2021-05-12 12:23 Jmantysalo Note Added: 64370
2021-05-12 12:23 Jmantysalo Status feedback => assigned
2021-05-12 12:23 ollehar Note Added: 64371
2021-05-12 12:24 Jmantysalo Note Added: 64372
2021-05-21 13:19 ollehar Priority none => normal
2021-06-07 20:05 gabrieljenik Assigned To ollehar => gabrieljenik
2021-06-08 23:05 gabrieljenik Note Added: 64790
2021-06-09 13:29 ollehar Status assigned => resolved
2021-06-09 13:29 ollehar Resolution open => fixed
2021-06-09 17:28 gabrieljenik Changeset attached => LimeSurvey master 33ad9936
2021-06-09 17:28 gabrieljenik Note Added: 64817
2021-07-12 11:53 c_schmitz Note Added: 65297
2021-07-12 11:53 c_schmitz Bug heat 8 => 10
2021-07-12 11:53 c_schmitz Status resolved => closed